<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Cálculo de captura de carbono</title>
    <style>
        #resultado,
        #cargando {
            display: none;
        }
    </style>
</head>

<body>
    <div class="container">
        <div style="text-align: center;">
            <img src="banner.jpeg" width="700px" height="200px"  alt="">
        </div>
        <div class="row">
            <div class="col">
                <div class="card" style="width: 18rem; margin: auto;">
                    <div class="card-body">
                        <h5 class="card-title">Captura de imágenes</h5>
                        <h6 class="card-subtitle mb-2 text-muted">Subir</h6>
                        <p class="card-text">Seleccione una imágen de nubes de puntos para realizar el análisis de
                            captura de carbono.
                            Este proceso se realiza con gran eficiencia mediante Inteligencia artificial. </p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-8">
                        <div class="mb-3 mt-3">
                            <input class="form-control" type="file" id="formFile">
                        </div>
                    </div>
                    <div class="col">
                        <div class="mb-3 mt-3">
                            <button type="button" class="btn btn-primary" onclick="analizar()">Analizar</button>
                        </div>
                    </div>
                </div>

            </div>
            <div class="col">
                <div id="cargando" class="spinner-grow" role="status">
                    <span class="visually-hidden">Loading...</span>
                </div>
                <div id="previo">
                    <div class="card" style="width: 18rem; margin: auto;">
                        <div class="card-body">
                            <h5 class="card-title">Análisis de imágenes</h5>
                            <h6 class="card-subtitle mb-2 text-muted">Resultado</h6>
                            <p class="card-text">En este espacio se mostrarán los resultados del análisis de la imagen.
                            </p>
                        </div>
                    </div>

                </div>
                <div id="resultado">
                    <img src="captura.png" class="img-fluid" alt="">
                    <table class="table">
                        <thead>
                            <tr>
                                <th scope="col">Descripción</th>
                                <th scope="col">Valor</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Número de árboles</td>
                                <td>225 Und</td>
                            </tr>
                            <tr>
                                <td>Área analizada</td>
                                <td>5342 M2</td>
                            </tr>
                            <tr>
                                <td>Carbono capturado</td>
                                <td>50 Kg/C</td>
                            </tr>
                            <tr>
                                <td>Especies</td>
                                <td>Rhizophora mangle, Avicennia germinans</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</body>
<script>
    function analizar() {
        document.getElementById("cargando").style.display = "block";
        document.getElementById("previo").style.display = "none";
        setTimeout(() => {
            document.getElementById("cargando").style.display = "none";
            document.getElementById("resultado").style.display = "block";
        }, 2500);
    }
</script>

</html>
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
    crossorigin="anonymous"></script>